mxGraphProperties (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.analysis
Class mxGraphProperties

    java.lang.Object
      com.mxgraph.analysis.mxGraphProperties

    public class mxGraphProperties

extends Object

Constants for graph structure properties

Nested Class Summary
`static class` | `mxGraphProperties.GraphType`

Field Summary
`static boolean` | `DEFAULT_DIRECTED`
`static boolean` | `DEFAULT_TRAVERSE_VISIBLE`
`static String` | `DIRECTED` Whether or not to take into account the direction on edges.
`static String` | `TRAVERSE_VISIBLE` Whether or not to navigate the graph raw graph structure or the visible structure.

Constructor Summary
`mxGraphProperties()`

Method Summary
`static boolean` | `isDirected(Map<String,Object> properties, boolean defaultValue)`
`static boolean` | `isTraverseVisible(Map<String,Object> properties, boolean defaultValue)`
`static void` | `setDirected(Map<String,Object> properties, boolean isDirected)`
`static void` | `setTraverseVisible(Map<String,Object> properties, boolean isTraverseVisible)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRAVERSE_VISIBLE

    public static String TRAVERSE_VISIBLE

  Whether or not to navigate the graph raw graph structure or the visible structure. The value associated with this key should evaluate as a string to `1` or `0`

### DEFAULT_TRAVERSE_VISIBLE

    public static boolean DEFAULT_TRAVERSE_VISIBLE

### DIRECTED

    public static String DIRECTED

  Whether or not to take into account the direction on edges. The value associated with this key should evaluate as a string to `1` or `0`

### DEFAULT_DIRECTED

    public static boolean DEFAULT_DIRECTED

Constructor Detail

### mxGraphProperties

    public mxGraphProperties()

Method Detail

### isTraverseVisible

    public static boolean isTraverseVisible(Map<String,Object> properties,
                                            boolean defaultValue)

  Parameters:
    `properties` -
    `defaultValue` -
  Returns:

### setTraverseVisible

    public static void setTraverseVisible(Map<String,Object> properties,
                                          boolean isTraverseVisible)

  Parameters:
    `properties` -
    `isTraverseVisible` -

### isDirected

    public static boolean isDirected(Map<String,Object> properties,
                                     boolean defaultValue)

  Parameters:
    `properties` -
  Returns:

### setDirected

    public static void setDirected(Map<String,Object> properties,
                                   boolean isDirected)

  Parameters:
    `properties` -
    `isTraverseVisible` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.